# studio::Widget_Enum Class Reference

`#include <widget_enum.h>`

List of all members.

## Public Member Functions

| Widget_Enum ()
| ~Widget_Enum ()
void | set_param_desc (const synfig::ParamDesc &x)
void | refresh ()
void | set_value (int data)
int | get_value () const

## Constructor & Destructor Documentation

Widget_Enum::Widget_Enum | ( |  | ) |

Widget_Enum::~Widget_Enum | ( |  | ) |

## Member Function Documentation

void Widget_Enum::set_param_desc | ( | const synfig::ParamDesc & | x | ) |

Referenced by studio::App::dialog_save_file(), studio::Dialog_Setup::Dialog_Setup(), studio::Widget_ValueBase::set_value(), and studio::Widget_Defaults::Widget_Defaults().

void Widget_Enum::refresh | ( |  | ) |

Referenced by set_value().

void Widget_Enum::set_value | ( | int | data | ) |

References refresh().

Referenced by studio::App::dialog_save_file(), studio::Dialog_Setup::refresh(), and studio::Widget_ValueBase::set_value().

int Widget_Enum::get_value | ( |  | ) | const

Referenced by studio::App::dialog_save_file(), and studio::Widget_ValueBase::get_value().

The documentation for this class was generated from the following files:

- widget_enum.h
- widget_enum.cpp